<?xml version="1.0" encoding="UTF-8" ?>
<FormatBase version="1.0.0">    
    <format 
    		enable="1"
    		name="AVI"
    		separable="1"
    		ext="avi" > 
    		<chkbyte value="0,4,,52494646,8,4,,41564919" />
    		<chkbyte value="0,4,,52494646,8,4,,41564920" /> 
    		<chkbyte value="0,4,,52494646,8,4,,41564958" />
    		<chkbyte value="0,4,,52494646,8,4,,414D5620" />  
    		<attr value="pop" />
    		<attr value="fast" />  
    		<attr value="hd" />
    </format>
    <format 
    		enable="1"
    		name="MPEG"
    		separable="1"
    		ext="mpg;mpeg;dat;vob;ts;tp;m2ts;mts" >   		
    		<chkbyte value="0,16,FFFFFFFFF100010001800001FFFFFFFF,000001BA2100010001800001000001BB" /> 
    		<chkbyte value="0,5,FFFFFFFFC0,000001BA40" /> 
    		<chkbyte value="0,1,,47,188,1,,47,376,1,,47" /> 
    		<chkbyte value="4,1,,47,196,1,,47,388,1,,47" /> 
    		<chkbyte value="0,4,,54467263,1660,1,,47" /> 
    		<chkbyte value="0,8,fffffc00ffe00000,4156000055000000" /> 
    		<chkbyte value="0,4,,52494646,8,4,,43445841" />
    		<attr value="pop" />  
    		<attr value="hd" />
    </format> 
    <format 
    		enable="1"
    		name="FlashVideo"
    		separable="1"
    		ext="flv" >   		
			<chkbyte value="0,4,,464C5601" /> 
    		<attr value="pop" />  
    </format> 
    <format 
    		enable="1"
    		name="MP4"
    		ext="mp4;3gp;mov" >   		
    		<chkbyte value="4,4,,66747970" /> 
    		<chkbyte value="4,4,,6d6f6f76" /> 
    		<chkbyte value="4,4,,6d646174" />
    		<chkbyte value="4,4,,736b6970" />
    		<chkbyte value="4,12,ffffffff00000000ffffffff,77696465027fe3706d646174" />
    		<chkbyte value="3,3,,000001" />
    		<attr value="pop" /> 
    		<attr value="hd" /> 
    </format>
    <format 
    		enable="1"
    		name="RealMedia"
    		separable="1"
    		ext="rm;rmvb;ram" >   		
			<chkbyte value="0,4,,2E524D46" />  
			<chkbyte value="0,3,,2E7261" />  
    		<attr value="pop" /> 
    		<attr value="fast" /> 
    </format> 
    <format 
    		enable="1"
    		name="SWF"
    		separable="1"
    		ext="swf" >   		
			<chkbyte value="0,3,,435753" />  
			<chkbyte value="0,3,,465753" />  
    </format> 
    <format 
    		enable="1"
    		name="DtsAC3"
    		separable="1"
    		ext="dts;ac3" >   		
    		<chkbyte value="0,4,,7FFE8001" /> 
    		<chkbyte value="0,2,,0B77" /> 
    		<chkbyte value="0,2,,770B" /> 
    		<attr value="rare" />  
    </format>
    <format 
    		enable="1"
    		name="OGG"
    		separable="1"
    		ext="ogg;ogm" >   		
    		<chkbyte value="0,4,,4F676753" />  
    		<attr value="rare" />  
    </format>
    <format 
    		enable="1"
    		name="LosslessAudio"
    		separable="1"
    		ext="ape;flac;tta;alac;m4a;aac" >   		
    		<chkbyte value="0,4,,664c6143" /> 
    		<chkbyte value="0,4,,4d414320" /> 
    		<attr value="rare" />  
    </format>
    <format 
    		enable="1"
    		name="WAVE"
    		separable="1"
    		ext="wave;wav" >   		
    		<chkbyte value="0,4,,52494646,8,4,,57415645" />  
    		<attr value="pop" />  
    		<attr value="music" />
    </format>
    <format 
    		enable="1"
    		name="MPAudio"
    		separable="1"
    		ext="mp3" >   		
    		<chkbyte value="0,2,FFE0,FFE0" />
    		<chkbyte value="0,10,FFFFFF00000080808080,49443300000000000000" />
    		<attr value="pop" />  
    		<attr value="music" />  
    </format>
    <format 
    		enable="1"
    		name="PMP"
    		separable="1"
    		ext="pmp" >   		
    		<chkbyte value="0,4,,706D706D" />  
    		<attr value="rare" />  
    		<parser value="{E117D42B-839C-498A-95DA-647BC90E2B8F}" />
    </format>
    <format 
    		enable="1"
    		name="WindowsMedia"
    		separable="1"
    		ext="wmv;wma" >   		
    		<chkbyte value="0,4,,3026B275" /> 
    		<chkbyte value="0,4,,D129E2D6" /> 
    		<attr value="pop" />  
    		<attr value="fast" />
    		<attr value="hd" />
    		<attr value="music" />
    </format>
    <format 
    		enable="1"
    		name="Matroska"
    		separable="1"
    		ext="mkv" >   		
    		<chkbyte value="0,4,,1A45DFA3" /> 
    		<attr value="pop" /> 
    		<attr value="hd" /> 
    </format>
    <format 
    		enable="1"
    		name="AMR"
    		separable="1"
    		ext="amr" >   		
    		<chkbyte value="0,5,,2321414D52" /> 
    		<attr value="rare" />  
    </format>
    <format 
    		enable="0"
    		name="CDA"
    		ext="cda" >   		
    		<attr value="rare" />  
    </format>
    <format 
    		enable="1"
    		name="IVM"
    		ext="ivm" >
    		<chkbyte value="0,8,,643429D1D694C24A" /> 		
    		<attr value="rare" />  
    		<parser value="{6B8CF995-434B-49D3-856A-2AC9B16539A8}" />
    </format>
    <format 
    		enable="1"
    		name="RadGame"
    		ext="bik;smk" >  
    		<chkbyte value="0,3,,534D4B" />
    		<chkbyte value="0,3,,42494B" />  		
    		<attr value="rare" />  
    		<parser value="{6B97CB13-A992-4970-8864-4F32E845B7B4}" />
    </format>
    <format 
    		enable="1"
    		name="SCM"
    		ext="scm" >  
    		<chkbyte value="0,4,,53434D56" /> 		
    		<parser value="{8953D140-377E-4741-8B15-160BDEA61E1F}" />
    		<attr value="rare" />  
    </format>
    <format 
    		enable="1"
    		name="CSF"
    		ext="csf" >  	
    		<chkbyte value="0,4,,B854037E" />
    		<attr value="rare" />
    		<parser value="{C8B9C208-9E5C-4F09-AED5-B21A273C4CCA}" />  
    </format>
    <format 
    		enable="1"
    		name="Hikvision"
    		ext="mp4" > 
    		<chkbyte value="0,4,,34484B48" /> 		
    		<attr value="rare" />  
    		<parser value="{78B72865-0881-4A25-A0C4-A750EA28C297}" />
    </format>
    <format 
    		enable="1"
    		name="ChipnutsMP4"
    		ext="mp4" > 
    		<chkbyte value="17,4,,63363235" />
    		<chkbyte value="0,4,,434D5034" />
    		<chkbyte value="0,4,,434D5034,8,8,,636869706E757473" />
    		<attr value="rare" />  
    		<parser value="{1B811185-2671-4990-B4AE-8DBB0E87EAF0}" />
    </format>
    <format 
    		enable="1"
    		name="MIDI"
    		ext="midi" > 
    		<chkbyte value="0,4,,4D546864" />
    		<attr value="rare" />  
    </format>
    
<!-- HD Video Media Type-->
    <hdmedia 
    		enable="1"
    		name="MPEG2"
    		type="video" >
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_VIDSPPDVD7_type5" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_VIDSPPDVD7_type6" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_VIDSPPDVD7_type7" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_VIDSPPDVD7_type8" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_VIDSPPDVD7_type9" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_VIDSPPDVD7_type10" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_CLVIDSP0" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_CLVIDSP1" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_CLVIDSP2" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_CLVIDSP3" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_CLVIDSP4" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_CLVIDSP5" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="H264"
    		type="video" >
    		<mediatype major="MEDIATYPE_AVCPDVD7x_type0" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_AVCPDVD7x_type1" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_AVCPDVD7x_type2" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_AVCPDVD7x_type3" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_AVCPDVD7x_type4" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_AVCPDVD7x_type5" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_DAVC" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_davc" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_PAVC" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_pavc" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VSSH" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_vssh" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H264" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_h264" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_X264" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_x264" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_avc1" />
    		<mediatype major="MEDIATYPE_CLAVC0" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_CLAVC1" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_CLAVC2" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_CLAVC3" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_CLAVC4" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_CLAVC5" sub="MEDIASUBTYPE_CLAVC" />
    		<mediatype major="MEDIATYPE_CLAVC6" sub="MEDIASUBTYPE_CLAVC" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="VC1"
    		type="video" >
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CLVC1" />
    		<mediatype major="MEDIATYPE_CLVC1_1" sub="MEDIASUBTYPE_CLVC1" />
    		<mediatype major="MEDIATYPE_CLVC1_2" sub="MEDIASUBTYPE_CLVC1" />
    		<mediatype major="MEDIATYPE_CLVC1_3" sub="MEDIASUBTYPE_CLVC1" />
    		<mediatype major="MEDIATYPE_CLVC1_4" sub="MEDIASUBTYPE_CLVC1" />
    		<mediatype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVC1" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="WMV8"
    		type="video" >
    		<mediatype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV2" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="WMV9"
    		type="video" >
    		<mediatype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV3" />
    </hdmedia>
    
<!-- HD Audio Media Type-->
    <hdmedia 
    		enable="1"
    		name="MPEG2"
    		type="audio" >
    		<mediatype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
    		<mediatype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
    		<mediatype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
    		<mediatype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="AC3"
    		type="audio" >
    		<mediatype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
    		<mediatype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
    		<mediatype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DOLBY_AC3" />
    		<mediatype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DOLBY_AC3" />
    		<mediatype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DOLBY_AC3" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="DTS"
    		type="audio" >
    		<mediatype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DTS" />
    		<mediatype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DTS" />
    		<mediatype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DTS" />
    		<mediatype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DTS" />
    		<mediatype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DTS" />
    </hdmedia>
    <hdmedia 
    		enable="1"
    		name="LPCM"
    		type="audio" >
    		<mediatype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    		<mediatype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    		<mediatype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    		<mediatype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    </hdmedia>
    
<!-- HD Splitter Media Type-->
    <hdmedia 
    		enable="1"
    		name="MPEG"
    		type="splitter" >
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1Video" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1Audio" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1VideoCD" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1System" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_TRANSPORT" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_BDA_TRANSPORT" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_PROGRAM" />
    		<mediatype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_PVA" />
    </hdmedia>
</FormatBase>
